Assign a learning block to a student
curl --request POST \
--url https://platform.dev.timeback.com/competency-track/1.0/assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignment": {
"studentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"learningBlockId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'import requests
url = "https://platform.dev.timeback.com/competency-track/1.0/assignments"
payload = { "assignment": {
"studentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"learningBlockId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assignment: {
studentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
learningBlockId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
})
};
fetch('https://platform.dev.timeback.com/competency-track/1.0/assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignment": {
"sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"studentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"learningBlockId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cfItemIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"error": "Bad request",
"message": "Invalid request parameters"
}{
"error": "Unauthorized request",
"message": "Unauthorized request"
}{
"error": "Access forbidden",
"message": "Access forbidden"
}{
"error": "Internal server error",
"message": "Internal server error"
}Competency Track
Assign a learning block to a student
Creates a new student learning block assignment. For non-dynamic blocks, competencies (CFItems) are copied from the learning block definition onto the assignment immediately. For dynamic blocks, the assignment is created with empty CFItems pending placement.
POST
/
competency-track
/
1.0
/
assignments
Assign a learning block to a student
Authorizations
OAuth 2.0 client credentials flow. Contact timeback@trilogy.com to request credentials for your application.
Body
application/json
Input for assigning a learning block to a student
Show child attributes
Show child attributes
Response
Assignment created successfully
Assignment response
Show child attributes
Show child attributes
⌘I